Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.monitor

# Enum Class Operation.Type

java.lang.Object
java.lang.Enum<Operation.Type>
org.firebirdsql.gds.ng.monitor.Operation.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Operation.Type>`, `Constable`

Enclosing interface:
  Operation

public static enum Operation.Type extends Enum<Operation.Type>
Type of operation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`STATEMENT_ASYNC_FETCH_COMPLETE`
Asynchronous fetch from statement cursor: receiving response with rows.
`STATEMENT_ASYNC_FETCH_START`
Asynchronous fetch from statement cursor: sending request for rows.
`STATEMENT_EXECUTE`
`STATEMENT_FETCH`
Synchronous fetch from statement cursor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCancellable()`
`static Operation.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Operation.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATEMENT_EXECUTE

public static final Operation.Type STATEMENT_EXECUTE

### STATEMENT_FETCH

public static final Operation.Type STATEMENT_FETCH
Synchronous fetch from statement cursor.

### STATEMENT_ASYNC_FETCH_START

public static final Operation.Type STATEMENT_ASYNC_FETCH_START
Asynchronous fetch from statement cursor: sending request for rows.

Since:
  6

### STATEMENT_ASYNC_FETCH_COMPLETE

public static final Operation.Type STATEMENT_ASYNC_FETCH_COMPLETE
Asynchronous fetch from statement cursor: receiving response with rows.

This operation is not cancellable.

Since:
  6

## Method Details

### values

public static Operation.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Operation.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCancellable

public boolean isCancellable()